<%
/************************************************************@@
  * Program Name	: doc_list.jsp
  * Description		: /집계자/내문서함/등록함/문서 목록
  * Author			: 기현테크
  * Create Date		: 2010.11.25
  * History			:
@@************************************************************/
%>
<%@ page contentType="text/html; charset=UTF-8"
	import="kr.co.kihyun.beans.user.UserView"
	import="kr.co.kihyun.beans.user.DeptView" import="java.net.URLDecoder"
	import="kr.co.kihyun.moumi.Moumi" import="kr.co.kihyun.lang.MInteger"
	import="kr.co.kihyun.beans.totsys.doc.Doc"
	import="kr.co.kihyun.lang.MString" import="kr.co.kihyun.lang.MLong"
	import="kr.co.kihyun.lang.Encoder"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%
try{
	/******* Parameter *********/
	String userID = clearXSS(Encoder.toJava(request.getParameter("userID")),"");
	String deptID = request.getParameter("deptID");
	Long docID = MLong.parseLong(request.getParameter("docID"),null);
	int formName = MInteger.parseInt(request.getParameter("formName"));

	/***** doc getUserID *********/
	Doc doc = new Doc();
	if(docID != null){
		userID = doc.getRegisterID(docID);
		deptID = doc.getRegisterDept(docID);
	}

	/******* 집계자 정보 *********/	
	//String deptID = "";
	String deptName = "";
	String userName = "";
	String phone = "";
	String email = "";

	UserView userView = new UserView();
	if(deptID != null){
                //v2. 13.SQL 삽입 : userView.executeQuery()에서 prepare SQL 문으로 되어 있다.
		userView.executeQuery(userID,deptID);
                //=================
	}else{
                //v2. 13.SQL 삽입 : userView.executeQuery()에서 prepare SQL 문으로 되어 있다.
		userView.executeQuery(userID);
                //=================
	}
	DeptView deptView = new DeptView();
        //v2. 13.SQL 삽입 : deptView.executeQuery()에서 prepare SQL 문으로 되어 있다.
	deptView.executeQuery(deptID);
        //=================
	//deptID = userView.getDeptID();
	deptName = deptView.getName();
	userName = userView.getName();
	phone = userView.getPhone();
	email = userView.getEmail();

	if(phone==null) phone="";
	if(email==null) email="";
 %>
	<table class="kecttep_list_table table1" style="width: 100%;">
		<tr>
			<td style="width: 100px;" class="kecttep_list_tdmenu">&nbsp;<%if(formName == 1){%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.registrition")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.name")%>
			<%}else{%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.tot_doc")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.request")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%>
			<%}%>
			</td>
			<td colspan="3" style="padding-left: 15px; padding-top: 4px;" class="kecttep_list_graytd"><%= userName %>&nbsp;</td>
			<!--td width="149" class="kecttep_tdmenu">&nbsp;<%if(formName == 1){%>
            <%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.registrition")%>
            <%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%> ID<%}else{%>
            <%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.tot_doc")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%> ID<%}%></td>
			<td width="326" style="padding-left:15; padding-top:4;" class="kecttep_table"><%= userID %>&nbsp;</td-->
		</tr>
		<tr>
			<td style="width: 100px;" class="kecttep_list_tdmenu">&nbsp;<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.request")%>
			<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.coporation")%>/<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.devision")%></td>
			<td style="width: 50%; padding-left: 15px; padding-top: 4px;" class="kecttep_list_graytd"><%= deptName %>&nbsp;
            </td>
			<td style="width: 80px;" class="kecttep_list_tdmenu">&nbsp;
                <%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.telNumber")%>
            </td>
			<td style="padding-left: 15px; padding-top: 4px;" class="kecttep_list_graytd"><%= phone %>&nbsp;
            </td>
		</tr>
		<tr>
			<td class="kecttep_list_tdmenu">&nbsp;E-MAIL</td>
			<td style="padding-left: 15px; padding-top: 4px;"
				class="kecttep_list_graytd"><%= email %>&nbsp;</td>
			<td class="kecttep_list_tdmenu">&nbsp;<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.others")%></td>
			<td style="padding-left: 15px; padding-top: 4px;"
				class="kecttep_list_graytd">&nbsp;</td>
		</tr>
	</table>
<!-- 집계자 정보 끝-->
<%
}catch(Exception ex){ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{	
}
%>
